classification
Title: WeakSet.__repr__ and __str__ do not show contents of the set
Type: enhancement Stage: resolved
Components: Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: steve.dower
Priority: normal Keywords: patch

Created on 2019-05-17 16:46 by steve.dower, last changed 2019-05-20 17:01 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13415 merged BTaskaya, 2019-05-19 03:55
Messages (2)
msg342734 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-05-17 16:46
This spoils the output of our test suite when there are dangling threads, as the basic "print" doesn't show anything useful.
msg342933 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-05-20 17:01
New changeset 5ae1c84bcd13b766989fc3f1e1c851e7bd4c1faa by Steve Dower (Batuhan Taşkaya) in branch 'master':
bpo-36949: Implement __repr__ on WeakSet (GH-13415)
https://github.com/python/cpython/commit/5ae1c84bcd13b766989fc3f1e1c851e7bd4c1faa
History
Date User Action Args
2019-05-20 17:01:28steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-20 17:01:10steve.dowersetmessages: + msg342933
2019-05-19 03:55:26BTaskayasetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request13326
2019-05-17 16:46:26steve.dowercreate